ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:upgrade_base' })
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:feeding_upgrade' })
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:storage_feeding_upgrade_from_backpack_feeding_upgrade' })
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:advanced_feeding_upgrade' })
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:storage_advanced_feeding_upgrade_from_backpack_advanced_feeding_upgrade' })
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:magnet_upgrade' })
  GregTechApocalypse.shaped('sophisticatedstorage:magnet_upgrade', ['ABA', 'BCB', 'DEF'], {
    A: 'minecraft:ender_pearl',
    B: 'minecraft:iron_ingot',
    C: 'sophisticatedstorage:pickup_upgrade',
    D: 'minecraft:redstone',
    E: 'simplemagnets:basicmagnet',
    F: 'minecraft:lapis_lazuli'
  })
  GregTechApocalypse.remove({output: 'sophisticatedstorage:chest'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'minecraft:redstone_torch',
    C: '#forge:treated_wood_slab'
  })
  
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:copper_chest' })
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:copper_chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:wood_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:copper_chest', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:chest', 'gtceu:wood_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:iron_chest'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:iron_chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:bronze_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:iron_chest', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:copper_chest', 'gtceu:bronze_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:gold_chest'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:gold_chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:steel_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:gold_chest', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:iron_chest', 'gtceu:steel_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:diamond_chest'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:diamond_chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:aluminium_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:diamond_chest', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:gold_chest', 'gtceu:aluminium_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:netherite_chest'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:netherite_chest', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:stainless_steel_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:netherite_chest', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:diamond_chest', 'gtceu:stainless_steel_crate'
  ])
  
  
  
  
  GregTechApocalypse.remove({output: 'sophisticatedstorage:barrel'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'minecraft:redstone_torch',
    C: '#forge:treated_wood_slab'
  })
  
  GregTechApocalypse.remove({ id: 'sophisticatedstorage:copper_barrel' })
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:copper_barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:wood_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:copper_barrel', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:barrel', 'gtceu:wood_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:iron_barrel'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:iron_barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:bronze_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:iron_barrel', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:copper_barrel', 'gtceu:bronze_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:gold_barrel'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:gold_barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:steel_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:gold_barrel', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:iron_barrel', 'gtceu:steel_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:diamond_barrel'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:diamond_barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:aluminium_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:diamond_barrel', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:gold_barrel', 'gtceu:aluminium_crate'
  ])

  GregTechApocalypse.remove({output: 'sophisticatedstorage:netherite_barrel'});
  GregTechApocalypse.shaped(Item.withNBT('sophisticatedstorage:netherite_barrel', '{woodType:"oak"}'), ['ACA', 'ABA', 'ACA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:stainless_steel_crate',
    C: '#forge:treated_wood_slab'
  })
  GregTechApocalypse.shapeless(Item.withNBT('sophisticatedstorage:netherite_barrel', '{woodType:"oak"}'),
  [
    'sophisticatedstorage:diamond_barrel', 'gtceu:stainless_steel_crate'
  ])
})